<?php require_once('../Connections/cn_conexion.php'); ?>
<?php include_once("../includes/funciones.php");?>
<?php
$idcajagasto=$_GET['idcajagasto'];
$idcliente=$_GET['idcliente'];
$numcaja=$_GET['numcaja'];

//echo("numero de caja actual ".$numcaja."<br>");
?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}


$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}

$deleteSQL="DELETE FROM caja_gastos WHERE id_cajagasto='".$idcajagasto."'";
mysql_select_db($database_cn_conexion, $cn_conexion);
$Result1 = mysql_query($deleteSQL, $cn_conexion) or die(mysql_error());



$updateSQL = "UPDATE gastos SET hab_gasto='1', num_caja='0' WHERE num_caja='".$numcaja."'";
mysql_select_db($database_cn_conexion, $cn_conexion);
$Result1 = mysql_query($updateSQL, $cn_conexion) or die(mysql_error());

mysql_select_db($database_cn_conexion, $cn_conexion);
$query_rs_cliente = "SELECT * FROM clientes, caja_gastos WHERE caja_gastos.id_cliente=clientes.id_cliente ORDER BY caja_gastos.hab_cajagasto DESC, caja_gastos.fecha_cierre DESC";
$rs_cliente = mysql_query($query_rs_cliente, $cn_conexion) or die(mysql_error());
$row_rs_cliente = mysql_fetch_assoc($rs_cliente);
$totalRows_rs_cliente = mysql_num_rows($rs_cliente);


?>
<?php
	if($totalRows_rs_cliente>0){
	?>
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
	  <tr>
	    <td height="20" align="center">&nbsp;</td>
	    <td height="25">&nbsp;</td>
	    <td colspan="2" align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Lista de Cajas Cerradas por Cliente</td>
	    <td>&nbsp;</td>
	    <td>&nbsp;</td>
	    <td>&nbsp;</td>
      </tr>
	  <tr>
		<td height="20" align="center">&nbsp;</td>
		<td height="25">&nbsp;</td>
		<td align="center">Nº Caja</td>
		<td>&nbsp;&nbsp;&nbsp;Nombre de Cliente</td>
		<td>&nbsp;</td>
		<td>Fecha</td>
		<td>&nbsp;</td>
	  </tr>
	  <?php do { ?>
		<tr>
		  <td width="0%" height="20" align="center">&nbsp;</td>
		  <td width="2%" height="25"><?php $hab_caja=$row_rs_cliente['hab_cajagasto']; 
			if($hab_caja=='0'){
					$archivo="abierto";
					$rot_fecha="Fecha Cierre";
					$nom_campo="fecha_cierre";
				}else{
					$archivo="cerrado";
					$rot_fecha="Fecha Inicio";
					$nom_campo="fecha_inicio";
					}
			echo ('<img src="../imagenes/'.$archivo.'.jpg" width="21" height="19" border="0" />'); ?></td>
		  <td width="7%" align="center"><?php $numcaja=$row_rs_cliente['num_caja']; echo $numcaja; ?></td>
		  <td width="72%"><p>&nbsp;&nbsp;&nbsp;<a href="#" class="enlace_normal" onclick="openclosed('<?php echo $row_rs_cliente['id_cajagasto']; ?>-<?php echo $row_rs_cliente['id_cliente']; ?>-<?php echo $row_rs_cliente['num_caja']; ?>')"><?php echo $row_rs_cliente['nom_cliente']; ?></a></p></td>
		  <td width="9%">&nbsp;</td>
		  <td width="7%"><?php echo fecha_peru($row_rs_cliente[$nom_campo]); ?></td>
		  <td width="3%">&nbsp;</td>
		</tr>
		<?php } while ($row_rs_cliente = mysql_fetch_assoc($rs_cliente)); ?>
	</table>
	<?php }else{
		echo("&nbsp;&nbsp;&nbsp;&nbsp;No hay documentos encontrados");
		}?>
<?php
mysql_free_result($rs_cliente);
?>
